// This example
package cuckoo_test

import (
	"fmt"

	"git.maximhutz.com/tools/go-cuckoo"
)

func Example_basic() {
	table := cuckoo.New[int, string]()

	if err := table.Put(1, "Hello, World!"); err != nil {
		fmt.Println("Put error:", err)
	}

	if item, ok := table.Get(1); !ok {
		fmt.Println("Not Found 1!")
	} else {
		fmt.Println("Found 1:", item)
	}

	if item, ok := table.Get(0); !ok {
		fmt.Println("Not Found 0!")
	} else {
		fmt.Println("Found 0:", item)
	}

	// Output:
	// Found 1: Hello, World!
	// Not Found 0!
}
